﻿<?php
include ("query.php");

	$postteam1 = $_POST[team1];
	$postteam2 = $_POST[team2];
	
	// Defining the special characters, which can be filtered
	$SpecialChars = array("$",",","-","_","<",">","#","÷","/","+","\\", "\"", "%", "\"", "=", "!", "(", ")", ".", ":", "`", "]", ";", "[", " ", "  ", "   ");
	
	// Defining the team names, which can accepted. 
	$TeamNames = array("australia","japan","koreadpr","korearepublic","algeria","cameroon","cotedivoire","ghana","nigeria","southafrica","honduras","mexico","unitedstates","argentina","brazil","chile","paraguay","uruguay","newzealand","denmark","england","france","germany","greece","italy","netherlands","portugal","serbia","slovakia","slovenia","spain","switzerland");

	// Removing the special characters. 
	$postteam1 = str_replace($SpecialChars,'',$postteam1);
	$postteam2 = str_replace($SpecialChars,'',$postteam2);

	// 
        $postteam1 = strtolower(trim($postteam1));
        $postteam2 = strtolower(trim($postteam2));
        $matchbegin = trim($_POST["matchbegin"]);
        $period = trim($_POST["period"]);
        $matchnumber = trim($_POST["matchnumber"]);

	// $error variable will contain the error messages. 
	
	$error = '';
	
	// Handling the empty form fields.
	if (!$postteam1)
		$error = $error.'Please enter Team 1!<br>';
	if (!$postteam2)
		$error = $error.'Please enter Team 2!<br>';
	if (!$matchbegin)
		$error = $error.'Please enter the begin time of the match!<br>';
	if (!$period)
		$error = $error.'Please enter the period for the bidding!<br>';
	if (!$matchnumber)
		$error = $error.'Please enter the number of the match!<br>';

	
	// Checking the match number
	if (($matchnumber<1)||($matchnumber>64)){
		$error = $error.'Invalid match number! Match number must be between 1 and 64!<br>';
	}

	// Checking the entered team names.
	// Team 1:
	$valid = false; 
		if (in_array($postteam1,$TeamNames)){
				$valid = true; 
			}elseif(!in_array($postteam1,$TeamNames)){
				$valid = false;
				echo 'Not a valid name for Team 1! Please check the team name!<br>';
			}
	// Team 2:
		if (in_array($postteam2,$TeamNames)){
				$valid = true; 
			}elseif(!in_array($postteam2,$TeamNames)){
				$valid = false;
				echo 'Not a valid name for Team 2! Please check the team name!<br>';
			}

	// sort team names into alphabet order
		if (strcmp($postteam1,$postteam2)<0){
			// In this case, the team 1 is in the nearest to the letter "A"
			$sqlteam1 = $postteam1;
			$sqlteam2 = $postteam2;
	
		} elseif (strcmp($postteam1,$postteam2)>0){
			$sqlteam1 = $postteam2;
			$sqlteam2 = $postteam1;
		}

	// Checking the time of the match begin. 
		$time = strtotime($matchbegin);

		if (!$time){
			$error = $error.'Invalid time format! Use MM/DD/YYYY HH:MM:SS format!<br>';
		};

	// Checking the validity of the game period.
		$gameperiod = split(' - ',$period);
		$gamebegintime = strtotime($gameperiod[0]);
		$gameendtime = strtotime($gameperiod[1]);

		if ($gameperiod[0] == ''){
			$error = $error.'No game period entered';
		}elseif(!$gamebegintime){
			$error = $error.'Invalid game begin time! Use MM/DD/YYYY HH:MM:SS format!<br>';
		}elseif(!$gameendtime){
			$error = $error.'No game end time entered! Use MM/DD/YYYY HH:MM:SS format!<br>';
		}

	// Displaying the error messages. 
		echo $error;


	// SQL statements for checking and creating the match
		$sqlcheckmatch = 'SELECT `team1`,`team2` FROM `matches` WHERE `match_number` = '.$matchnumber.';';
		$sqlinsertmatch = 'INSERT INTO `matches` (`match_number`, `match_begin`, `team1`, `team2`, `bet_begin`, `bet_end`) VALUES (\''.$matchnumber.'\', \''.$time.'\', \''.$sqlteam1.'\', \''.$sqlteam2.'\', \''.$gamebegintime.'\', \''.$gameendtime.'\');';

	// If there is no error message, checking the match, and creating if not exists.
		if ($error ==''){
			$result = Query('bets',$sqlcheckmatch);
			$row = mysql_fetch_assoc($result);
	
				if ($row){
					echo 'Game not created. A game has been found with this match number! ('.$matchnumber.')<br>
							<a href="index.php">Go back to Control Panel</a><br>';
				}else{
					Query('bets',$sqlinsertmatch);
					echo '<h2>New game successfully created</h2>
					<a href="index.php">Go back to Control Panel</a><br>';
				}			
		}

?>